Subject: bug#42266: closed (Re: Jami: Updating opendht needed)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Jul 2020 18:45:02 +0000

Your bug report

#42266: [PATCH] gnu: opendht: Bump to 2.1.4

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42266: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42266
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Jami: Updating opendht needed
From: Christopher Baines <[email-masked]>
To: Jan Wielkiewicz <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 08 Jul 2020 19:44:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jan Wielkiewicz <[email-masked]> writes:

> I need someone to push this commit:
> https://lists.gnu.org/archive/html/guix-patches/2020-07/msg00226.html
>
> From this version, my toaster can't build opendht anymore and I'm stuck
> on Fedora on my newer now, where I have no Guix available.
> Can someone check if it compiles and push, so I can get
> back to working on Jami? The latest Jami version requires opendht
> 2.1.4.

Looks fine to me, I've made some minor tweaks to the commit message, and
pushed as 143188423a727426efdc6289fc87a5e492bcf09d.

Thanks,

Chris

Subject: [PATCH] gnu: opendht: Bump to 2.1.4
From: Jan Wielkiewicz <[email-masked]>
To: [email-masked]
Cc: Jan Wielkiewicz <[email-masked]>
Date: Wed, 8 Jul 2020 15:33:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/networking.scm (opendht): Bump to 2.1.4, adjust the hash.
---
 gnu/packages/networking.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 077ede2f23..6f417b48d0 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -2911,7 +2911,7 @@ and targeted primarily for asynchronous processing of HTTP-requests.")
 (define-public opendht
   (package
     (name "opendht")
-    (version "2.0.0")
+    (version "2.1.4")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -2920,7 +2920,7 @@ and targeted primarily for asynchronous processing of HTTP-requests.")
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1q1fwk8wwk9r6bp0indpr60ql668lsk16ykslacyhrh7kg97kvhr"))))
+                "1ax26ri1ifb6s8ppd28jmanka9yf8mw3np65q2h4djhhik0phhal"))))
     ;; Since 2.0, the gnu-build-system does not seem to work anymore, upstream bug?
     (build-system cmake-build-system)
     (inputs
-- 
2.27.0